Bug 152413 - CAN-2005-0749 load_elf_library possible DoS (ipf)
CAN-2005-0749 load_elf_library possible DoS (ipf)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=important,public=20050318,sour...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-03-29 05:57 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 09:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 05:57:23 EST
A flaw when freeing a pointer in load_elf_library was discovered.  A local user
could potentially use this flaw to cause a denial of service (crash).  See
discussion at:
        
http://www.uwsg.iu.edu/hypermail/linux/kernel/0503.2/0603.html

Fixed upstream (note important 2nd fix for 2.4)

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bffczprEXYXBhd4oTqo8WoMTGQ
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244930dPN44h62CZtM0P-qXoOI-7A
fixed=2.4 (20050326
http://linux.bkbits.net:8080/linux-2.4/cset@424581efkFnFr5llhjjaiNnTmuS88Q
Comment 1 Don Howard 2005-07-28 19:02:16 EDT
This issue is fixed in e.57
Comment 4 Red Hat Bugzilla 2005-08-25 09:18:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html

Note You need to log in before you can comment on or make changes to this bug.